<?php
namespace SabaiApps\Directories\Component\FrontendSubmit\Restrictor;

use SabaiApps\Directories\Component\Entity\Model\Bundle;

interface IRestrictor {

	public function frontendsubmitRestrictorInfo( $key = null );
	public function frontendsubmitRestrictorEnabled();
	public function frontendsubmitRestrictorSettingsForm( array $bundles, array $settings, array $parents = array() );
	/**
	 * @param Bundle $bundle
	 * @param array  $settings
	 * @param int    $userId
	 * @return int
	 */
	public function frontendsubmitRestrictorLimit( Bundle $bundle, array $settings, $userId );
	/**
	 * @param Bundle $bundle
	 * @param array  $settings
	 * @param int    $userId
	 * @return string|false
	 */
	public function frontendsubmitRestrictorHasEntityLevel( Bundle $bundle, array $settings, $userId );
}
